Subject: [nfsv4] [PATCH] IANA review: Remove spurious comments

From: Chuck Lever <[email-masked]>
Date: Fri, 26 Oct 2012 11:13:53 -0400

>From Pearl Liang via RT <[email-masked]>:

> IANA has question.   These have "TBD" located on  pages 10 ~ 12:
> 
> /// enum FedFsFslType {
> ///  FEDFS_NFS_FSL = 0
> ///  /* other types TBD */
> 
> 
> /// enum FedFsPathType {
> ///  FEDFS_PATH_SYS = 0,
> ///  FEDFS_PATH_NFS = 1
> ///  /* other types TBD */
> 
> /// enum FedFsConnectionSec {
> ///  FEDFS_SEC_NONE = 0,
> ///  FEDFS_SEC_TLS = 1 /* StartTLS mechanism; RFC4513, Section 3 */
> ///  /* other mechanisms TBD */
> 
> Does IANA need to assign these value?   Are these referring to the single 
> value 100418 as requested in the IANA Considerations section or are these
> merely some codes in the file called "spec.txt"?

>From Chuck Lever <[email-masked]>:

> The purpose of these comments is to mark places where this protocol might
> be extended in future protocol versions.  Perhaps these comments could be
> removed from the final version of this document.
---

 admin-proto.xml |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

diff --git a/admin-proto.xml b/admin-proto.xml
index bddb39d..165dc94 100644
--- a/admin-proto.xml
+++ b/admin-proto.xml
@@ -269,7 +269,6 @@
     ///
     /// enum FedFsFslType {
     ///  FEDFS_NFS_FSL = 0
-    ///  /* other types TBD */
     /// };
     ///
     /// struct FedFsNfsFsl {
@@ -287,7 +286,6 @@
     /// enum FedFsPathType {
     ///  FEDFS_PATH_SYS = 0,
     ///  FEDFS_PATH_NFS = 1
-    ///  /* other types TBD */
     /// };
     ///
     /// union FedFsPath switch(FedFsPathType type) {
@@ -341,7 +339,6 @@
     /// enum FedFsConnectionSec {
     ///  FEDFS_SEC_NONE = 0,
     ///  FEDFS_SEC_TLS = 1 /* StartTLS mechanism; RFC4513, Section 3 */
-    ///  /* other mechanisms TBD */
     /// };
     ///
     /// union FedFsNsdbParams switch (FedFsConnectionSec secType) {